SAP Knowledge Base Article - Preview

2269928 - Why enduser gets error [ Could not load dynamic library 'libsybaseldap64.so' ] and why there are several versioned ldap libraries ?

Symptom

While trying to setup ldap user authentication as per http://scn.sap.com/docs/DOC-42763

Following error is observed on IQ 16 sp08 pl30
--------
1> validate ldap server secure_primary
2> go

Msg 13677, Level 19, State 0
SQL Anywhere Error -620: Could not load dynamic library 'libsybaseldap64.so'
--------

LD_LIBRARY_PATH environmental variable has $SYBASE/OCS-15_0/lib3p64 where all ldap libraries are located.
There is no libsybaseldap64.so but several versioned ldap libraries.

--------
$ ls -ltr
total 38892
-rwxr-xr-x 1 sybase sybase 2298264 Aug 16 2011 libsybaseldap64.so.15.7.0
-rwxr-xr-x 1 sybase sybase 2298264 Dec 7  2011 libsybaseldap64.so.15.7.0.1
-rwxr-xr-x 1 sybase sybase 23227   Jan 16 2012 libsybcsi_propertiesconfig26.so
-rwxr-xr-x 1 sybase sybase 23463   Jan 16 2012 libsybcsi_profiler26.so
-rwxr-xr-x 1 sybase sybase 1711748 Jan 16 2012 libsybcsi_openssl26.so
-rwxr-xr-x 1 sybase sybase 437770  Jan 16 2012 libsybcsi_core26.so
-rwxr-xr-x 1 sybase sybase 2298264 Jan 16 2012 libsybaseldap64.so.15.7.0.2
-rwxr-xr-x 1 sybase sybase 2298264 Mar 7  2012 libsybaseldap64.so.15.7.0.3
-rwxr-xr-x 1 sybase sybase 2298264 May 23 2012 libsybaseldap64.so.15.7.0.4
-rwxr-xr-x 1 sybase sybase 22683   Oct 30 2012 libsybcsi_propertiesconfig27.so
-rwxr-xr-x 1 sybase sybase 21931   Oct 30 2012 libsybcsi_profiler27.so
-rwxr-xr-x 1 sybase sybase 1720841 Oct 30 2012 libsybcsi_openssl27.so
-rwxr-xr-x 1 sybase sybase 453481  Oct 30 2012 libsybcsi_core27.so
-rwxr-xr-x 1 sybase sybase 2597288 Oct 30 2012 libsybaseldap64.so.15.7.0.6
-rwxr-xr-x 1 sybase sybase 2298264 Dec 17 2012 libsybaseldap64.so.15.7.0.5
-rwxr-xr-x 1 sybase sybase 2597288 Jan 6  2013 libsybaseldap64.so.15.7.0.7
-rwxr-xr-x 1 sybase sybase 23032   Mar 21 2013 libsybcsi_propertiesconfig28.so
-rwxr-xr-x 1 sybase sybase 21918   Mar 21 2013 libsybcsi_profiler28.so
-rwxr-xr-x 1 sybase sybase 2132212 Mar 21 2013 libsybcsi_openssl28.so
-rwxr-xr-x 1 sybase sybase 453482  Mar 21 2013 libsybcsi_core28.so
-rwxr-xr-x 1 sybase sybase 2597288 Mar 21 2013 libsybaseldap64.so.15.7.0.10
-rwxr-xr-x 1 sybase sybase 2597288 Jul 28 2013 libsybaseldap64.so.15.7.0.11
-rwxr-xr-x 1 sybase sybase 2655743 Jun 10 2014 libsybaseldap64.so.15.7.0.12
-rwxr-xr-x 1 sybase sybase 426449  Jul 16 2014 libsybcsi_core29.so
-rwxr-xr-x 1 sybase sybase 23044   Jul 16 2014 libsybcsi_propertiesconfig29.so
-rwxr-xr-x 1 sybase sybase 21513   Jul 16 2014 libsybcsi_profiler29.so
-rwxr-xr-x 1 sybase sybase 2728721 Jul 16 2014 libsybcsi_openssl29.so
-rwxr-xr-x 1 sybase sybase 2655743 Jul 16 2014 libsybaseldap64.so.15.7.0.13
-rwxr-xr-x 1 sybase sybase 6279 Jul 16 2014 LICENSE.openssl
-rwxr-xr-x 1 sybase sybase 2214 Jul 16 2014 LICENSE.openldap
-rwxr-xr-x 1 sybase sybase 2345 Jul 16 2014 COPYRIGHT.openldap
-------

Linking libsybaseldap64.so -> libsybaseldap64.so.15.7.0.13 which is the latest versioned library does not resolve the error.

Questions

- Why there are so many multiple versioned ldap libraries ?
- Which ldap library gets loaded ?
- Why it looks for libsybaseldap64.so and fails when there are several other ldap versioned libraries ?


Read more...

Environment

  • IQ 16+
  • Any platform

Product

SAP IQ 16.0

Keywords

ldap ; LD_LIBRARY_PATH ; libsybaseldap64.so ; Could not load dynamic library ; , KBA , BC-SYB-IQ , Sybase IQ , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.